Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type OneToMany

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface OneToMany

Defines a many-valued association with one-to-many multiplicity. If the collection is defined using generics to specify the element type, the associated target entity type need not be specified; otherwise the target entity class must be specified.

Author:
  Emmanuel Bernard

Optional Element Summary
`CascadeType[]` | `cascade` The operations that must be cascaded to the target of the association.
`FetchType` | `fetch` Whether the association should be lazily loaded or must be eagerly fetched.
`String` | `mappedBy` The field that owns the relationship.
`Class` | `targetEntity` The entity class that is the target of the association.

### targetEntity

    public abstract Class targetEntity

  The entity class that is the target of the association. Optional only if the collection property is defined using Java generics. Must be specified otherwise. Defaults to the parameterized type of the collection when defined using generics.

  Default:
    void.class

### cascade

    public abstract CascadeType[] cascade

  The operations that must be cascaded to the target of the association. Defaults to no operations being cascaded.

  Default:
    {}

### fetch

    public abstract FetchType fetch

  Whether the association should be lazily loaded or must be eagerly fetched. The EAGER strategy is a requirement on the persistenceprovider runtime that the associatedentities must be eagerly fetched. The LAZY strategy is a hint to the persistence provider runtime.

  Default:
    LAZY

### mappedBy

    public abstract String mappedBy

  The field that owns the relationship. Required unless the relationship is unidirectional.

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT